#
# spec file for package php5-pear-Services_Weather
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Services_Weather
%define pear_name  Services_Weather
%define pear_sname services_weather
Summary:        An interface to various online weather-services
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Servers
Version:        1.4.7
Release:        1.1
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 5
%if 0%{?sles_version} == 11
BuildRequires:  php53-devel
%else
BuildRequires:  php-macros
%endif
BuildRequires:  php-pear
BuildRequires:  php5-pear-DB
BuildRequires:  php5-pear-HTTP_Request >= 1.2.0
Requires:       php5-pear-DB >= 1.4.0
Requires:       php5-pear-HTTP_Request
Suggests:       php5-pear-XML_Serializer >= 0.20.2
Requires:       php >= 5
Requires:       php-ctype
Requires:       php-pear
Provides:       pear-%{pear_name}
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_name}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
Services_Weather searches for given locations and retrieves current
weather data and, dependent on the used service, also forecasts. Up to
now, GlobalWeather from CapeScience, Weather XML from EJSE (US only),
a XOAP service from Weather.com and METAR/TAF from NOAA are supported.
Further services will get included, if they become available, have a
usable API and are properly documented.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)

%changelog
* Fri Nov 30 2012 lang@b1-systems.de
- upstream v1.4.7 tarball war corrupt. Repackaged
* Thu Nov 29 2012 lang@b1-systems.de
- don't require php-macros for the SLE11 platform
* Tue Nov 27 2012 Ralf Lang <lang@b1-systems.de>
- version 1.4.7
- adresses pear Bug #19228 Fatal error: Cannot use object of type PEAR_Error
- adresses pear Bug #19213 Undefined array index in Metar.php
* Mon Jan 31 2011 lang@b1-systems.de
- change deprecated license tag
* Fri Jan 28 2011 lang@b1-systems.de
- redesigned specfile from template using php-macros
* Sun Mar 14 2010 rbos@opensuse.org
- Updated to version 1.4.5
- Added dependency php5-pear-xml_serializer
* Wed Oct 24 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
